$!-----------------------------------------------------------------------------
$! BUILD_DYNDNSRPT.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 29-JUL-2006  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""DYNDNSRPT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ PROC_DEV = F$PARSE(F$ENVIRONMENT("PROCEDURE"),,,"DEVICE")
$ PROC_DIR = F$PARSE(F$ENVIRONMENT("PROCEDURE"),,,"DIRECTORY")
$ DEV_DIR = PROC_DEV + PROC_DIR
$!
$ DEFINES = " /DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
                       "__CRTL_VER=60000000)"
$ INCLUDES = " /INCLUDES=""[]"""
$ WARNINGS= " /WARNING=(DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    IF P2 .NES. "NOCGILIB" THEN CC 'CC_OPTIONS' /OBJ='OBJECT_DIR' CGILIB
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' DYNDNSRPT
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE='OBJECT_DIR'DYNDNSRPT.EXE -
     'OBJECT_DIR'DYNDNSRPT,CGILIB
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
